Move nodes to a group for a Kubernetes cluster
POST
/v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/moveTo move one or more nodes into a different node group, send a POST request to /v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/move. Specify a cluster in the path parameter, then provide node IDs and a target node group ID in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
kubernetes_cluster_id*string
A unique identifier of a Kubernetes cluster. To list all cluster IDs, use the relevant request.
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/kubernetes_clusters/pnel2JbK/nodes/move" \ -H "Content-Type: application/json" \ -d '{ "node_ids": [ "MvbmOpeY", "openx4b7" ], "node_group_id": "GRb4x1bB" }'[ { "id": "MvbmOpeY", "number": 92, "hostname": "node92", "configuration": "SSD.50", "type": "cloud", "role": "node", "status": "active", "private_ipv4_address": "127.0.3.1", "public_ipv4_address": "127.0.5.2", "location_id": 1605, "location_code": "location3313", "ref_id": "GRb41dBL", "cluster_id": "pnel2JbK", "node_group": { "id": "GRb4x1bB", "name": "node-group-76", "description": null, "created_at": "2026-05-28T07:05:16.459Z", "updated_at": "2026-05-28T07:05:16.459Z" }, "labels": {}, "created_at": "2026-05-28T07:05:16Z", "updated_at": "2026-05-28T07:05:16Z" }, { "id": "openx4b7", "number": 93, "hostname": "node93", "configuration": "SSD.50", "type": "cloud", "role": "node", "status": "active", "private_ipv4_address": "127.0.6.3", "public_ipv4_address": "127.0.8.4", "location_id": 1605, "location_code": "location3313", "ref_id": "M7e5Ba2v", "cluster_id": "pnel2JbK", "node_group": { "id": "GRb4x1bB", "name": "node-group-76", "description": null, "created_at": "2026-05-28T07:05:16.459Z", "updated_at": "2026-05-28T07:05:16.459Z" }, "labels": {}, "created_at": "2026-05-28T07:05:16Z", "updated_at": "2026-05-28T07:05:16Z" }]{ "message": "Not found", "code": "NOT_FOUND"}